
Figure - 开发 Dev #110960
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

开发 Dev # 110951 (New): 【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】

【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】小窗进入到全屏状态
2022-08-02 16:35 - DL FW-王琳

Status: New Start date: 2022-08-29

Priority: Normal Due date: 2022-09-02

Assignee: CD FW-鲁凯峰 % Done: 80%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

1.小窗进入到全屏状态

在小窗状态（正常状态及mini状态）下，双击应用小窗，进入全屏应用显示

自测：

1.在小窗状态（正常状态及mini状态）下，双击应用小窗，进入全屏应用显示

History

#1 - 2022-08-04 19:48 - CD FW-王伟

- Subject changed from 【MK】【AF】【MultiWindow】【TC-RID: 0301-0201401】小窗进入到全屏状态 to 【MK】【AF】【MultiWindow】【TC-RID:

1201-0201401】小窗进入到全屏状态

#2 - 2022-09-26 17:07 - DL FW-张挽强

- % Done changed from 0 to 80

1.在小窗状态（正常状态及mini状态）下，双击应用小窗，进入全屏应用显示

2.全屏按钮:点击后小窗展开全屏

3Mini模式按钮:点击后变成Mini模式,默认与正常态同侧上方

4.关闭按钮:点击关闭小窗、该应用任在后台运行

#3 - 2022-09-26 17:47 - DL FW-王琳

- Target version set to VX1_MCE_FSE_V2.0_20220930

#4 - 2022-09-27 19:19 - CD TPM-申艳艳

- Category set to 窗口定制

#5 - 2022-12-22 20:30 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147958 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com
AF:MultiWindow:  Freeform enters full screen state1. Freeform enters the full screen state, the mini state2. Freeform move3. Freeform closeTC-RID:

0301-0201401IssueID: TS-R-DF-110960Change-Id: I32526b7b3c5da19119af862f2c718621813171af

#6 - 2023-06-28 11:09 - CD FW-鲁凯峰

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

#7 - 2023-06-28 15:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210737 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: add resizeable checkTC-RID: 1201-0204601IssueID: TS-R-DF-110960,IOVDEV-34999Change-Id:

Ia1f709342879b1920dd3b92a2d6a0da182eb5f98

#8 - 2023-06-30 16:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210854 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: add resizeable checkTC-RID: 1201-0204601IssueID: TS-R-DF-110960,IOVDEV-34999Change-Id:

Ia1f709342879b1920dd3b92a2d6a0da182eb5f98(cherry picked from commit f254734802b03465f951525387a6e3a3dfd40d72)

#9 - 2023-09-08 14:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

311075 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: Send a broadcast notification when switching from freeform mode to full-screen modeTC-RID: 1201-0204601IssueID: TS-R-DF-110960,

IOVDEV-40635Change-Id: Id43430aad941c2d932c0d401eef6169133d88774

#10 - 2023-10-07 11:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317227 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
AF:MultiWindow: Send a broadcast notification when switching from freeform mode to full-screen modeTC-RID: 1201-0204601IssueID: TS-R-DF-110960,

IOVDEV-40635Change-Id: Id43430aad941c2d932c0d401eef6169133d88774(cherry picked from commit e170e6162a83c7d13ad4347920e4d184080f3692)

#11 - 2023-10-07 17:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317217 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MultiWindow:handle fail to lunch app from small window mode1. if task lunch mode is single instance, not reuse last intentActivity when lunch app from small

window modeTC-RID: 1201-0204601IssueID: TS-R-DF-110960 IOVDEV-44467Change-Id: I18aedb8bdf6db705278261cb3fafb9a45548c451

#12 - 2023-10-12 22:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

318985 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow:handle fail to lunch app from small window mode1. if task lunch mode is single instance, not reuse last intentActivity when lunch app from small

window modeTC-RID: 1201-0204601IssueID: TS-R-DF-110960 IOVDEV-44467Change-Id: I18aedb8bdf6db705278261cb3fafb9a45548c451(cherry picked from

commit 114725b1fe59bfb26dcda8874ca009705dbe4727)

#13 - 2023-10-17 17:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

319954 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MultiWindow: when face frozen app, we will start app process, we get some tipswhen face frozen app, we will start app process, we get some tipsTC-RID:

1201-0204601IssueID: TS-R-DF-110960 VXMCE-1159Change-Id: Ic03425d2a0d913e57a05780ab30b75b000e6965a

#14 - 2023-10-18 14:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

319610 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com
AF:MultiWindow: fix the multiwindow not show ,when There are still remaining windowsTC-RID: 1201-0204601IssueID: TS-R-DF-110960

VXMCE-1159Change-Id: Icbed3ecffa7f60f0afa8cd76eb8370121ece9a7b

#15 - 2023-10-27 01:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323299 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: when face frozen app, we will start app process, we get some tipswhen face frozen app, we will start app process, we get some tipsTC-RID:

1201-0204601IssueID: TS-R-DF-110960 VXMCE-1159Change-Id: Ic03425d2a0d913e57a05780ab30b75b000e6965a(cherry picked from commit

9d7f09911e6016f34f73f72904215000062047e0)

#16 - 2023-10-27 01:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323301 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: fix the multiwindow not show ,when There are still remaining windowsTC-RID: 1201-0204601IssueID: TS-R-DF-110960

VXMCE-1159Change-Id: Icbed3ecffa7f60f0afa8cd76eb8370121ece9a7b(cherry picked from commit cb1cd438484ebbfc8240de88f7dbe45159227958)
